RedCrawler API
Scrape V2

Profile Comments V2

Fetch a user's comment history. Up to 1250 comments per request.

GET /api/v2/profile/q/comments

Fetch a user's comment history. Up to 1250 comments per request.

Query parameters

NameTypeRequiredDescription
usernamestringYesUsername, u/username, or profile URL.
sortstringNoSort order: hot, new, top, controversial. Default: new.
limitstringNoMax comments to return (1-1250). Default: 100. Auto-paginates.
time_filterstringNoTime filter for top/controversial: hour, day, week, month, year, all.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/profile/q/comments?username=Motor_Tip8865&sort=new&limit=100&time_filter=<time_filter>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/profile/q/comments?username=Motor_Tip8865&sort=new&limit=100&time_filter=<time_filter>", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/profile/q/comments?username=Motor_Tip8865&sort=new&limit=100&time_filter=<time_filter>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "items": [
      {
        "node": {
          "id": "t1_ohb2vwt",
          "createdAt": "2026-04-20T18:39:38.226000+0000",
          "score": 9,
          "content": {
            "preview": "Sure: using AI to translate content is a great way to make Reddit more accessible to everyone around the world and to boost growth at the top of the funnel in international markets. Machine translation has been a core focus of our product since we first launched it in 2024. Here\u2019s a (comprehensive) ",
            "richtextMedia": []
          },
          "voteState": "NONE",
          "postInfo": {
            "id": "t3_1sqbv2m",
            "title": "What do you think about using AI to translate posts from other languages automatically?",
            "subreddit": {
              "prefixedName": "r/redditstock"
            }
          }
        }
      },
      {
        "node": {
          "id": "t1_offo9d1",
          "createdAt": "2026-04-10T19:01:32.696000+0000",
          "score": 170,
          "content": {
            "preview": "Honestly it needs more \ud83d\udc9e\ud83d\udc9e",
            "richtextMedia": []
          },
          "voteState": "NONE",
          "postInfo": {
            "id": "t3_1shuo7k",
            "title": "Happy Friday. I made this for you. <3",
            "subreddit": {
              "prefixedName": "r/redditstock"
            }
          }
        }
      },
      {
        "node": {
          "id": "t1_ocfdez3",
          "createdAt": "2026-03-25T17:17:48.246000+0000",
          "score": 80,
          "content": {
            "preview": "",
            "richtextMedia": [
              {
                "id": "hftppa7u58rg1",
                "width": 1080,
                "height": 608,
                "mimetype": "image/png",
                "url": "https://i.redd.it/hftppa7u58rg1.png",
                "status": "VALID"
              }
            ]
          },
          "voteState": "NONE",
          "postInfo": {
            "id": "t3_1s3f2fe",
            "title": "Humans welcome (bots must wear name tags)",
            "subreddit": {
              "prefixedName": "r/redditstock"
            }
          }
        }
      },
      {
        "node": {
          "id": "t1_ocfcbs9",
          "createdAt": "2026-03-25T17:12:50.305000+0000",
          "score": 63,
          "content": {
            "preview": "Are you referring to our CFO, Drew? I can assure you nobody hates SBC more he does.",
            "richtextMedia": []
          },
          "voteState": "NONE",
          "postInfo": {
            "id": "t3_1s3f2fe",
            "title": "Humans welcome (bots must wear name tags)",
            "subreddit": {
              "prefixedName": "r/redditstock"
            }
          }
        }
      },
      {
        "node": {
          "id": "t1_ocfaspc",
          "createdAt": "2026-03-25T17:05:51.882000+0000",
          "score": 56,
          "content": {
            "preview": "We'll accept an eyeball.",
            "richtextMedia": []
          },
          "voteState": "NONE",
          "postInfo": {
            "id": "t3_1s3ezrc",
            "title": "Humans welcome (bots must wear name tags)"
          }
        }
      }
    ],
    "count": 5
  },
  "error": null,
  "timestamp": "2026-04-29T19:09:11.903641+00:00"
}

On this page